import Vue from 'vue'
import Router from 'vue-router'
import authutils from '@/utils/authutils'
import demoRoute from './demo'
import sagacloudRoute from './sagacloud'
Vue.use(Router)

let routes = []
routes = routes.concat(demoRoute)
routes = routes.concat(sagacloudRoute)

const router = new Router({
  mode: 'history',
  routes: routes
})

router.beforeEach(authutils.routerBeforeEach)

export default router
